import cx from 'classnames';
import PropTypes from 'prop-types';
import { BASE_CLASS, BORDER_RADIUS, CLASS_HIGHLIGHT, CLASS_INFO, CLASS_LINK, CLASS_MEDIA, CLASS_RESPONSIVE, CLASS_VERTICAL, ELEVATION, redirectToHref } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var AtomCard = function AtomCard(_ref) {
  var Media = _ref.media,
      Content = _ref.content,
      vertical = _ref.vertical,
      responsive = _ref.responsive,
      rounded = _ref.rounded,
      elevation = _ref.elevation,
      highlight = _ref.highlight,
      href = _ref.href,
      blank = _ref.blank,
      onClick = _ref.onClick,
      tabIndex = _ref.tabIndex;

  var onClickHandler = function onClickHandler(e) {
    typeof onClick === 'function' ? onClick(e) : redirectToHref({
      href: href,
      blank: blank
    });
  };

  var redirectOnEnter = function redirectOnEnter(e) {
    if (e.key === 'Enter') redirectToHref({
      href: href,
      blank: blank
    });
  };

  var isVertical = vertical && !responsive;
  var classNames = cx(BASE_CLASS, isVertical && CLASS_VERTICAL, responsive && CLASS_RESPONSIVE, href && CLASS_LINK, onClick && CLASS_LINK, highlight && (href || onClick) && CLASS_HIGHLIGHT, rounded && BASE_CLASS + "--rounded-" + rounded, elevation && BASE_CLASS + "--elevation-" + elevation);
  return /*#__PURE__*/_jsxs("div", {
    className: classNames,
    tabIndex: tabIndex,
    role: "button",
    onClick: onClickHandler,
    onKeyDown: redirectOnEnter,
    children: [Media && /*#__PURE__*/_jsx("div", {
      className: CLASS_MEDIA,
      children: /*#__PURE__*/_jsx(Media, {})
    }), /*#__PURE__*/_jsx("div", {
      className: CLASS_INFO,
      children: Content && /*#__PURE__*/_jsx(Content, {})
    })]
  });
};

AtomCard.displayName = 'AtomCard';
export default AtomCard;
export { BORDER_RADIUS as atomCardRounded, ELEVATION as atomCardElevation };